Bug 803506 - Playing video uses up all CPU
Playing video uses up all CPU
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-14 16:44 EDT by Stef Walter
Modified: 2012-03-24 02:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-24 02:55:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stef Walter 2012-03-14 16:44:16 EDT
Description of problem:

Playing video on my machine (in totem for example, but other players as well) uses up 75% to 90% of CPU (as reported by top).

I'm not sure how to diagnose this, but am happy to provide further information.

Version-Release number of selected component (if applicable):

Linux stef-desktop.thewalter.lan 3.3.0-0.rc7.git0.3.fc17.x86_64 #1 SMP Mon Mar 12 18:40:17 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

This is on a fully up to date Fedora F17. It's not clear to me which packages are involved, but I'm happy to provide further version information.

I imagine this is perhaps dependent on my video card driver?

How reproducible:

Every time.

Steps to Reproduce:
1. Play video in totem
  
Actual results:

Computer is extremely slow and unresponsive during video playback.

Expected results:

Video playback should not load the system.
Comment 1 Adam Jackson 2012-03-23 11:28:27 EDT
Yes, it probably does depend on your video driver to some extent.  What hardware are you using?
Comment 2 Stef Walter 2012-03-24 02:55:52 EDT
This problem went away when I updated to the latest kernel yesterday. In the past I think this problem came and went between Fedora F17 updates. I'll close it now, and reopen if the issue appears again.

Thanks.

BTW, I'm using an NVIDIA with nouveau:

01:00.0 VGA compatible controller: nVidia Corporation G92 [GeForce 8800 GTS 512] (rev a2)

Note You need to log in before you can comment on or make changes to this bug.